with GNATCOM.Dispinterface;

package MSHTML.DispSVGPathSegLinetoHorizontalAbs_Object is

   type DispSVGPathSegLinetoHorizontalAbs_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_pathSegType
     (This : DispSVGPathSegLinetoHorizontalAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_pathSegType
     (This : DispSVGPathSegLinetoHorizontalAbs_Type)
     return GNATCOM.Types.VARIANT;

   function Get_pathSegTypeAsLetter
     (This : DispSVGPathSegLinetoHorizontalAbs_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_x
     (This : DispSVGPathSegLinetoHorizontalAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_x
     (This : DispSVGPathSegLinetoHorizontalAbs_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispSVGPathSegLinetoHorizontalAbs_Object;

